## ros-one-jsk-rosbag-tools 2.2.16-15jammy.20260116.2108

=== debian/changelog ===
ros-one-jsk-rosbag-tools (2.2.16-15jammy.20260116.2108) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:08:47 +0000

ros-one-jsk-rosbag-tools (2.2.16-0jammy) jammy; urgency=high

  * [ROS-O] fix for ROS-O (#1802 <https://github.com/jsk-ros-pkg/jsk_common/issues/1802>)
    
      * jsk_rosbag_tools: use requirements.in.python3.12  for python3.12 (ubuntu 24.04)
      * jsk_rosbag_tools/CMakeLists.txt: $ENV{ROS_DISTRO} -. "$ENV{ROS_DISTRO}" for 24.04, which does not have ROS_DISTRO environment
    
  * Contributors: Kei Okada

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.15-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.14-0jammy) jammy; urgency=high

  * [jsk_rosbag_tools][ros-o] only use STREQUAL to compare ROS_DISTRO in cmake (#1807 <https://github.com/jsk-ros-pkg/jsk_common/issues/1807>)
  * .github/forkflows/config.yml: add ROS-O test (#1809 <https://github.com/jsk-ros-pkg/jsk_common/issues/1809>)
  * [jsk_rosbag_tools] Fixed pillow version (#1799 <https://github.com/jsk-ros-pkg/jsk_common/issues/1799>)
  * Contributors: Iori Yanokura, Yoshiki Obinata

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.13-0jammy) jammy; urgency=high

  * [jsk_rosbag_tools] Use python3-catkin-pkg-modules when python3 is used (#1784 <https://github.com/jsk-ros-pkg/jsk_common/issues/1784>)
    
      * [jsk_rosbag_tools] Use python3-catkin-pkg-modules when python3 is used
    
  * set python2 for jsk_rosbag_tools (#1781 <https://github.com/jsk-ros-pkg/jsk_common/issues/1781>)
    
      * set numpy version for python3
      * split requirements.in for python2 and 3
      * set scipy<1.9.0 to avoid build error with openblas
        https://github.com/scipy/scipy/issues/16308
      * install scipy to avoid numpy attribute error
    
  * catch StopIteration when all images do not have stamp (#1767 <https://github.com/jsk-ros-pkg/jsk_common/issues/1767>)
  * jsk_rosbag_tools: version of jsk_common is 2.2.12 (#1751 <https://github.com/jsk-ros-pkg/jsk_common/issues/1751>)
  * [jsk_rosbag_tools] Fixed a bug when the specified fps is less than the fps of the topic in rosbag. (#1750 <https://github.com/jsk-ros-pkg/jsk_common/issues/1750>)
  * Add jsk_rosbag_tools package (#1738 <https://github.com/jsk-ros-pkg/jsk_common/issues/1738>)
  * [jsk_rosbag_tools] Add descriptions for static_tf_republisher.py.
  * [jsk_rosbag_tools] Enable catkin_virtualenv for pip dependencies
  * [jsk_rosbag_tools] Specify python version
  * [jsk_rosbag_tools] logerr subprocess command if failed
  * [jsk_rosbag_tools] Split test to avoid indigo's error
  * [jsk_rosbag_tools] Drop installation of requirements.in and requirements.txt
  * [jsk_rosbag_tools] Add dependencies of download data
  * [jsk_rosbag_tools] Refactor test to print command log
  * [jsk_rosbag_tools] Avoid raise ValueError on invalid compressed format.
  * [jsk_rosbag_tools] Add resize_keeping_aspect_ratio_wrt_target_size to fix video
  * [jsk_rosbag_tools] Fixed W503 line break before binary operator
  * [jsk_rosbag_tools] Fixed E226 missing whitespace around arithmetic operator
  * [jsk_rosbag_tools] Add show_progress_bar option
  * [jsk_rosbag_tools] Add .wav ext
  * [jsk_rosbag_tools] Add fps option
  * [jsk_rosbag_tools] Add message to raise
  * [jsk_rosbag_tools] Resize every frame
  * [jsk_rosbag_tools] Fix bug when saving to local path with --image-topic
  * [jsk_rosbag_tools] Allow to record mono8 topics for mask images
  * [jsk_rosbag_tools] Fixed compr_type condition
  * [jsk_rosbag_tools] Check topic exists
  * [jsk_rosbag_tools] Fixed W503 line break before binary operator
  * [jsk_rosbag_tools] Rename extract_audio to bag_to_audio
  * [jsk_rosbag_tools] Fixed E225 missing whitespace around operator
  * [jsk_rosbag_tools] Decompress as much as possible
  * [jsk_rosbag_tools] Refactor dependencies
  * [jsk_rosbag_tools] Enable python2 compatibility
  * [jsk_rosbag_tools] Add shebang
  * [jsk_rosbag_tools] chmod u+x test_jsk_rosbag_tools.py
  * [jsk_rosbag_tools] Add bag_to_audio.py
  * [jsk_rosbag_tools] Makedirs in extract_audio
  * [jsk_rosbag_tools] Include AudioFileClip and VideoFileClip to prevent calling pygame.init()
  * [jsk_rosbag_tools] chmod u+x
  * [jsk_rosbag_tools] Fixed sample docs
  * [jsk_rosbag_tools] Fixed bag to video docs
  * [jsk_rosbag_tools] Import AudioFileClip and VideoFileClip
  * [jsk_rosbag_tools] Use library's function
  * [jsk_rosbag_tools] Seperate bag_to_video function as library
  * [jsk_rosbag_tools] Add topic_name_to_file_name
  * [jsk_rosbag_tools] Add makedirs library for python2
  * [jsk_rosbag_tools] Set time-limit to 360.0
  * [jsk_rosbag_tools] Modified sample bagfile to reduce test time
  * [jsk_rosbag_tools] Set version to 2.2.11
  * [jsk_rosbag_tools] Drop catkin virtualenv
  * Add jsk_rosbag_tools package
  * Contributors: Guilherme Affonso, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Iory Yanokura

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.12-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.11-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.10-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.9-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.8-0jammy) jammy; urgency=high





=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-rosbag-tools//opt/ros/one/lib/ || echo "Skip dh_shlibdeps error!!!"

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
override_dh_strip:
	dh_strip || true

## ros-one-jsk-rosbag-tools 2.2.16-15jammy.20260207.2143

=== debian/changelog ===
ros-one-jsk-rosbag-tools (2.2.16-15jammy.20260207.2143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:43:41 +0000

## ros-one-jsk-rosbag-tools 2.2.16-15noble.20260116.2106

=== debian/changelog ===
ros-one-jsk-rosbag-tools (2.2.16-15noble.20260116.2106) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:06:39 +0000

ros-one-jsk-rosbag-tools (2.2.16-0noble) noble; urgency=high

  * [ROS-O] fix for ROS-O (#1802 <https://github.com/jsk-ros-pkg/jsk_common/issues/1802>)
    
      * jsk_rosbag_tools: use requirements.in.python3.12  for python3.12 (ubuntu 24.04)
      * jsk_rosbag_tools/CMakeLists.txt: $ENV{ROS_DISTRO} -. "$ENV{ROS_DISTRO}" for 24.04, which does not have ROS_DISTRO environment
    
  * Contributors: Kei Okada

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.15-0noble) noble; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.14-0noble) noble; urgency=high

  * [jsk_rosbag_tools][ros-o] only use STREQUAL to compare ROS_DISTRO in cmake (#1807 <https://github.com/jsk-ros-pkg/jsk_common/issues/1807>)
  * .github/forkflows/config.yml: add ROS-O test (#1809 <https://github.com/jsk-ros-pkg/jsk_common/issues/1809>)
  * [jsk_rosbag_tools] Fixed pillow version (#1799 <https://github.com/jsk-ros-pkg/jsk_common/issues/1799>)
  * Contributors: Iori Yanokura, Yoshiki Obinata

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.13-0noble) noble; urgency=high

  * [jsk_rosbag_tools] Use python3-catkin-pkg-modules when python3 is used (#1784 <https://github.com/jsk-ros-pkg/jsk_common/issues/1784>)
    
      * [jsk_rosbag_tools] Use python3-catkin-pkg-modules when python3 is used
    
  * set python2 for jsk_rosbag_tools (#1781 <https://github.com/jsk-ros-pkg/jsk_common/issues/1781>)
    
      * set numpy version for python3
      * split requirements.in for python2 and 3
      * set scipy<1.9.0 to avoid build error with openblas
        https://github.com/scipy/scipy/issues/16308
      * install scipy to avoid numpy attribute error
    
  * catch StopIteration when all images do not have stamp (#1767 <https://github.com/jsk-ros-pkg/jsk_common/issues/1767>)
  * jsk_rosbag_tools: version of jsk_common is 2.2.12 (#1751 <https://github.com/jsk-ros-pkg/jsk_common/issues/1751>)
  * [jsk_rosbag_tools] Fixed a bug when the specified fps is less than the fps of the topic in rosbag. (#1750 <https://github.com/jsk-ros-pkg/jsk_common/issues/1750>)
  * Add jsk_rosbag_tools package (#1738 <https://github.com/jsk-ros-pkg/jsk_common/issues/1738>)
  * [jsk_rosbag_tools] Add descriptions for static_tf_republisher.py.
  * [jsk_rosbag_tools] Enable catkin_virtualenv for pip dependencies
  * [jsk_rosbag_tools] Specify python version
  * [jsk_rosbag_tools] logerr subprocess command if failed
  * [jsk_rosbag_tools] Split test to avoid indigo's error
  * [jsk_rosbag_tools] Drop installation of requirements.in and requirements.txt
  * [jsk_rosbag_tools] Add dependencies of download data
  * [jsk_rosbag_tools] Refactor test to print command log
  * [jsk_rosbag_tools] Avoid raise ValueError on invalid compressed format.
  * [jsk_rosbag_tools] Add resize_keeping_aspect_ratio_wrt_target_size to fix video
  * [jsk_rosbag_tools] Fixed W503 line break before binary operator
  * [jsk_rosbag_tools] Fixed E226 missing whitespace around arithmetic operator
  * [jsk_rosbag_tools] Add show_progress_bar option
  * [jsk_rosbag_tools] Add .wav ext
  * [jsk_rosbag_tools] Add fps option
  * [jsk_rosbag_tools] Add message to raise
  * [jsk_rosbag_tools] Resize every frame
  * [jsk_rosbag_tools] Fix bug when saving to local path with --image-topic
  * [jsk_rosbag_tools] Allow to record mono8 topics for mask images
  * [jsk_rosbag_tools] Fixed compr_type condition
  * [jsk_rosbag_tools] Check topic exists
  * [jsk_rosbag_tools] Fixed W503 line break before binary operator
  * [jsk_rosbag_tools] Rename extract_audio to bag_to_audio
  * [jsk_rosbag_tools] Fixed E225 missing whitespace around operator
  * [jsk_rosbag_tools] Decompress as much as possible
  * [jsk_rosbag_tools] Refactor dependencies
  * [jsk_rosbag_tools] Enable python2 compatibility
  * [jsk_rosbag_tools] Add shebang
  * [jsk_rosbag_tools] chmod u+x test_jsk_rosbag_tools.py
  * [jsk_rosbag_tools] Add bag_to_audio.py
  * [jsk_rosbag_tools] Makedirs in extract_audio
  * [jsk_rosbag_tools] Include AudioFileClip and VideoFileClip to prevent calling pygame.init()
  * [jsk_rosbag_tools] chmod u+x
  * [jsk_rosbag_tools] Fixed sample docs
  * [jsk_rosbag_tools] Fixed bag to video docs
  * [jsk_rosbag_tools] Import AudioFileClip and VideoFileClip
  * [jsk_rosbag_tools] Use library's function
  * [jsk_rosbag_tools] Seperate bag_to_video function as library
  * [jsk_rosbag_tools] Add topic_name_to_file_name
  * [jsk_rosbag_tools] Add makedirs library for python2
  * [jsk_rosbag_tools] Set time-limit to 360.0
  * [jsk_rosbag_tools] Modified sample bagfile to reduce test time
  * [jsk_rosbag_tools] Set version to 2.2.11
  * [jsk_rosbag_tools] Drop catkin virtualenv
  * Add jsk_rosbag_tools package
  * Contributors: Guilherme Affonso, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Iory Yanokura

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.12-0noble) noble; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.11-0noble) noble; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.10-0noble) noble; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.9-0noble) noble; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.8-0noble) noble; urgency=high





## ros-one-jsk-rosbag-tools 2.2.16-15noble.20260207.2144

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_rosbag_tools)

find_package(
  catkin REQUIRED
  catkin_virtualenv
)

if (${catkin_virtualenv_VERSION} VERSION_LESS "0.5.1")
  message(STATUS "jsk_rosbag_tools requires catkin_virtualenv >= 0.5.1")
  return()
endif()


catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS
)

if("$ENV{ROS_DISTRO}" STREQUAL "indigo" OR "$ENV{ROS_DISTRO}" STREQUAL "kinetic" OR "$ENV{ROS_DISTRO}" STREQUAL "melodic")
  file(MAKE_DIRECTORY $ENV{HOME}/.imageio/ffmpeg)
  file(DOWNLOAD https://github.com/imageio/imageio-binaries/raw/e7a7a2aad27decc79a3c2cd675ab4d0201e72e15/ffmpeg/ffmpeg-linux64-v3.3.1
    ${CMAKE_BINARY_DIR}/ffmpeg-linux64-v3.3.1)
  file (COPY ${CMAKE_BINARY_DIR}/ffmpeg-linux64-v3.3.1
    DESTINATION $ENV{HOME}/.imageio/ffmpeg/
    FILE_PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ)
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in.python2
    PYTHON_INTERPRETER python2
  )
else()
find_package(Python COMPONENTS Interpreter)
if(Python_VERSION VERSION_GREATER_EQUAL 3.12.0)
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in.python3.12
    PYTHON_INTERPRETER python3
  )
else()
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in
    PYTHON_INTERPRETER python3
  )
endif()
endif()

file(GLOB SCRIPTS_FILES scripts/*)
catkin_install_python(
  PROGRAMS ${SCRIPTS_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_download(download_audio_data
  https://drive.google.com/uc?export=download&id=1rFZYoFjLqIWjEe0DaNiL3k9893m31nu7
  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/samples/data
  FILENAME 2022-05-07-hello-test.bag
  MD5 3650e27dad2c7dc0e447033259290db6
)
catkin_download(download_video_data
  https://drive.google.com/uc?export=download&id=1v4YNOHnHYxLOty1lYR2R6lfNF0itCwK7
  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/samples/data
  FILENAME 20220530173950_go_to_kitchen_rosbag.bag
  MD5 d51fa8aeacd36f7aaa1597b67bd9ffdf
)
add_custom_target(download ALL DEPENDS download_audio_data download_video_data)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslint rostest)

  set(python_test_scripts
    tests/test_jsk_rosbag_tools.py
    tests/test_bag_to_video.py
  )

  roslint_python()
  roslint_python(${python_test_scripts})
  roslint_add_test()

  catkin_install_python(PROGRAMS ${python_test_scripts}
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

  add_rostest(tests/test_jsk_rosbag_tools.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv download_audio_data download_video_data)
  if("$ENV{ROS_DISTRO}" STRGREATER "indigo")
    # could not install moviepy on indigo.
    add_rostest(tests/test_bag_to_video.test
      DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv download_audio_data download_video_data)
  endif()
endif()

install(DIRECTORY scripts samples
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-jsk-rosbag-tools (2.2.16-15noble.20260207.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:44:31 +0000

=== debian/control ===
Source: ros-one-jsk-rosbag-tools
Section: misc
Priority: optional
Maintainer: Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libjpeg-dev, libwebp-dev, python3-catkin-pkg-modules, ros-one-catkin, ros-one-catkin-virtualenv (>= 0.5.1)
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-jsk-rosbag-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, python3-numpy, python3-rospkg-modules, python3-scipy, python3-setuptools, python3-termcolor, python3-tqdm, python3-yaml, ros-one-audio-common-msgs, ros-one-cv-bridge, ros-one-sensor-msgs
Description: The rosbag tools
